ONVIF::Device::Types::RecordingConfiguration(3)

NAME
ONVIF::Device::Types::RecordingConfiguration

DESCRIPTION
Perl data type class for the XML Schema defined complexType RecordingConfiguration from the namespace http://www.onvif.org/ver10/schema.

  PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   Source

•   Content

•   MaximumRetentionTime

METHODS

  new
Constructor. The following data structure may be passed to new():

 { # ONVIF::Device::Types::RecordingConfiguration
   Source =>  { # ONVIF::Device::Types::RecordingSourceInformation
     SourceId =>  $some_value, # anyURI
     Name => $some_value, # Name
     Location => $some_value, # Description
     Description => $some_value, # Description
     Address =>  $some_value, # anyURI
   },
   Content => $some_value, # Description
   MaximumRetentionTime =>  $some_value, # duration
 },

AUTHOR
Generated by SOAP::WSDL